dssi_analyse_plugin(1)

NAME
dssi_analyse_plugin - describe a DSSI plugin

SYNOPSIS
dssi_analyse_plugin [-v|--verbose] [path]<libname>[:<label>]

DESCRIPTION
dssi_analyse_plugin lists information about DSSI plugins within a specified DSSI shared library libname. If label is given, only information for the plugin labeled label will be listed, otherwise, all plugins in the shared library will be listed. If path is not given, the shared library is searched for in the colon-separated list of directories specified in the environment variable DSSI_PATH.

OPTIONS

-v
--verbose
    Causes dssi_analyse_plugin to be more verbose in its reporting. In particular, it will list the default program names for each plugin, if any.

EXAMPLES
The following command will show information about all of the plugins in the shared library /usr/local/lib/dssi/calf.so, including default program names:

$ dssi_analyse_plugin -v /usr/local/lib/dssi/calf.so

The following command will look for the shared library trivial_sampler.so using DSSI_PATH, and display information about the mono_sampler plugin:

$ dssi_analyse_plugin trivial_sampler.so:mono_sampler

ENVIRONMENT

DSSI_PATH
    A colon-separated list of directories to scan for DSSI plugins.

CONFORMING TO
DSSI RFC version 1.0.

SEE ALSO
dssi_list_plugins(1), http://dssi.sourceforge.net/